## python-aio-geojson-geonetnz-quakes 0.16

=== requirements.txt ===
aio_geojson_client>=0.20
aiohttp>=3.7.4,<4
pytz>=2019.01

=== debian/changelog ===
python-aio-geojson-geonetnz-quakes (0.16-3) unstable; urgency=medium

  * Team Upload
  * Fix d/watch to detect 0.17
  * Use dh-sequence-python3
  * Replace transitional python3-tz with python3-pytz

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Nov 2025 20:37:04 +0100

python-aio-geojson-geonetnz-quakes (0.16-2) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jul 2024 06:47:59 +0200

python-aio-geojson-geonetnz-quakes (0.16-1) unstable; urgency=medium

  * Initial release. (Closes: #1077146)

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2024 07:38:59 +0200

=== debian/control ===
Source: python-aio-geojson-geonetnz-quakes
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-sequence-python3,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aio-geojson-client,
 python3-aiohttp,
 python3-aioresponses,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-timeout,
 python3-pytest-xdist,
 python3-pytz,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aio-geojson-geonetnz-quakes
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aio-geojson-geonetnz-quakes.git
Homepage: https://github.com/exxamalte/python-aio-geojson-geonetnz-quakes

Package: python3-aio-geojson-geonetnz-quakes
Architecture: all
Depends:
 python3-aio-geojson-client,
 python3-aiohttp,
 python3-pytz,
 ${misc:Depends},
 ${python3:Depends},
Description: async GeoJSON client library for GeoNet NZ Quakes feed
 This Python library provides convenient async access to the
 GeoNet NZ Quakes feed.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/<please-user>/aio-geojson-geonetnz-quakes.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aio-geojson-geonetnz-quakes/aio_geojson_geonetnz_quakes-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
